import 'package:json_annotation/json_annotation.dart';

import '../../bean/keyboard_info.dart';

part 'keyboard_meme_explain_response.g.dart';

@JsonSerializable()
class KeyboardMemeExplainResponse {
  // 默契数值
  @JsonKey(name: "constellation")
  String? constellation;

  //激情数值
  @JsonKey(name: "targetConstellation")
  String? targetConstellation;

  @JsonKey(name: "meme")
  String? meme;

  @JsonKey(name: "explain")
  String? explain;

  KeyboardMemeExplainResponse({
    this.constellation,
    this.targetConstellation,
    this.meme,
    this.explain,
  });

  factory KeyboardMemeExplainResponse.fromJson(Map<String, dynamic> json) =>
      _$KeyboardMemeExplainResponseFromJson(json);

  Map<String, dynamic> toJson() => _$KeyboardMemeExplainResponseToJson(this);
}
